Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic.theme
Class DesertBluerDefaultFont

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              com.jgoodies.looks.plastic.PlasticTheme
                  com.jgoodies.looks.plastic.theme.SkyBluer
                      com.jgoodies.looks.plastic.theme.SkyBluerTahoma
                          com.jgoodies.looks.plastic.theme.DesertBluer
                              com.jgoodies.looks.plastic.theme.DesertBluerDefaultFont

public final class DesertBluerDefaultFont
extends DesertBluer

A theme with medium saturated blue primary colors and a light brown window background.

Unlike its superclass, DesertBluer, this class uses a font appropriate for displaying Chinese, Korean, Japanese and other non-western characters.

Version:
  $Revision: 1.1 $
Author:
  Karsten Lentzsch
See Also:
  `Font`

Field Summary

Fields inherited from class com.jgoodies.looks.plastic.PlasticTheme
`BLACK, BRIGHTEN_START, BRIGHTEN_STOP, controlFont, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, smallFont, systemFont, titleFont, userFont, WHITE`

Constructor Summary
`DesertBluerDefaultFont()`

Method Summary
`protected Font` | `getFont0(int size)` Looks up and returns the logical default font "dialog".
`String` | `getName()`

Methods inherited from class com.jgoodies.looks.plastic.theme.DesertBluer
`getFocusColor, getHighlightedTextColor, getMenuItemSelectedBackground, getPrimary1, getPrimary2, getPrimary3, getSecondary1, getSecondary2, getSecondary3, getTextHighlightColor`

Methods inherited from class com.jgoodies.looks.plastic.theme.SkyBluerTahoma
`getFont0, getSubTextFont, getSystemTextFont, getUserTextFont`

Methods inherited from class com.jgoodies.looks.plastic.theme.SkyBluer
`addCustomEntriesToTable, getMenuItemSelectedForeground, getMenuSelectedBackground`

Methods inherited from class com.jgoodies.looks.plastic.PlasticTheme
`equals, getBlack, getControlTextFont, getFont, getMenuForeground, getMenuItemBackground, getMenuTextFont, getSimpleInternalFrameBackground, getSimpleInternalFrameForeground, getSystemTextColor, getTitleTextColor, getTitleTextFont, getToggleButtonCheckColor, getWhite, getWindowTitleFont, hashCode`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorBackground, getSeparatorForeground, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DesertBluerDefaultFont

    public DesertBluerDefaultFont()

Method Detail

### getName

    public String getName()

  Overrides:
    `getName` in class `DesertBluer`

### getFont0

    protected Font getFont0(int size)

  Looks up and returns the logical default font "dialog". This is appropriate for Chinese, Korean, Japanese and other non-western characters. Overrides the superclass' "Tahoma" choice.

  Overrides:
    `getFont0` in class `SkyBluerTahoma`
  See Also:
    `SkyBluerTahoma.getFont0(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 JGoodies Karsten Lentzsch. All Rights Reserved.